<template>
  <v-list min-height="120">
    <v-list-item
      v-for="(item, i) in items"
      :key="i">
        <FormItem :idx="i"
                  :value="item"
                  :removeInput="removeContactDate"
                  :contactKey="contactKey"
                  :id="id"
                  :icon="icon"/>
    </v-list-item>

        <v-btn @click="updateCurrentContact({key: contactKey, value: '', idx: items.length})"
               v-if="isEditing" fab dark small
               color="green" class="add-btn">
          <v-icon >mdi-plus</v-icon >
        </v-btn>

  </v-list>
</template>

<script>
import FormItem from './FormItem'
import {mapState, mapActions} from 'vuex'

export default {
  name: 'EditableForm',
  components: {FormItem},
  props: ['items', 'icon', 'id', 'removeInput', 'contactKey'],
  methods:{
    ...mapActions(['updateCurrentContact', 'removeContactDate']),
  },
  computed: mapState({
    isEditing: state => state.isEditing
  }),
}
</script>

<style>
  .add-btn {
    margin: 7px 0 0 15px;
    height: 30px;
    width: 30px;
  }
</style>
